Subject: Re: bug#57391: "error: connect*: Connection timed out" when using 6+ jobs to fetch substitutes

From: Maxime Devos <[email-masked]>
Date: Wed, 24 Aug 2022 23:52:35 +0200

On 24-08-2022 22:42, Maxim Cournoyer wrote:

> It fails like the above when the number of jobs is 6 or higher, but
> proceeds without error when the number of jobs is 5 or less.
>
> I do not think the network to be at caused, as everything is cabled and
> the link is healthy and fast.
>
> Thanks,

I was getting a lot of those errors recently -- I have "--max-jobs=14" 
in the extra-options of guix-configuration.

It's not exactly the same situation though (WiFi, albeit usually not too 
bad ...).

I'll give "-M5" a try in the future, maybe I can reproduce the 5/6 boundary.

Greetings,
Maxime.